Attribute VB_Name = "Module2"
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////
Rem *
Rem * OPOSFIT.BAS
Rem *
Rem *   POS Printer header file for OPOS Applications.
Rem *
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////
Rem *///////////////////////////////////////////////////////////////////

Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "DirectIO" Method: "Command" Parameter Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_FIT_DIO_BIN_SYNC = 0
Public Const OPOS_FIT_DIO_BIN_IMMIDIATE = 1
Public Const OPOS_FIT_DIO_BIN_REALTIME = 2
Public Const OPOS_FIT_DIO_HEX_SYNC = 5
Public Const OPOS_FIT_DIO_BIN_ASYNC = 6
Public Const OPOS_FIT_DIO_HEX_ASYNC = 7

Public Const OPOS_FIT_DIO_HARD_RESET = 100
Public Const OPOS_FIT_DIO_NOT_ABS = 101

Public Const OPOS_FIT_DIO_SET_FONTLIST = 100

Public Const OPOS_FIT_DIO_SET_BMFFORM_BM = 50
Public Const OPOS_FIT_DIO_GET_BMFFORM_BM = 51
Public Const OPOS_FIT_DIO_SET_BMFFORM_MF = 52
Public Const OPOS_FIT_DIO_GET_BMFFORM_MF = 53

Public Const OPOS_FIT_DIO_SET_QRERRORLV = 20
Public Const OPOS_FIT_DIO_GET_QRERRORLV = 21

Public Const OPOS_FIT_DIO_SET_MICROQRERRORLV = 22
Public Const OPOS_FIT_DIO_GET_MICROQRERRORLV = 23

Public Const OPOS_FIT_DIO_SET_PDFERROLV = 24
Public Const OPOS_FIT_DIO_GET_PDFERROLV = 25

Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "ResultCodeExtended" Property Base Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const FITERREXT = 10000

Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "ResultCodeExtended" Property Base Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_FIT_EPTR_BLACKMARK = 1 + FITERREXT
Public Const OPOS_FIT_EPTR_FATAL = 3 + FITERREXT
Public Const OPOS_FIT_EPTR_OVERHEAT = 6 + FITERREXT
Public Const OPOS_FIT_EPTR_CUTTERJAM = 8 + FITERREXT

